Bug 52090

Summary: Apache thread hangs with error 500 when sending a file
Product: Apache httpd-2 Reporter: Michel Pereira <michel>
Component: CoreAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: major Keywords: MassUpdate
Priority: P2    
Version: 2.2.21   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Attachments: GDB output
GDB output 2

Description Michel Pereira 2011-10-26 10:29:20 UTC
Created attachment 27850 [details]
GDB output

Hi.

I'm using Apache and PHP to make an ecommerce and I found a bug when loading the website. It's giving me an error 500 in the middle of the page loading, on the source file on the browser side I can see that the HTML isn't complete.

Here it goes the crash, please let me known if you need something else.
Comment 1 Nick Kew 2011-10-26 11:07:12 UTC
What do you mean by "error 500 in the middle of the page loading"?

What happens if you disable sendfile, as recommended in the documentation for cases where incomplete documents being served?
Comment 2 Michel Pereira 2011-10-26 12:31:06 UTC
Hi.

The browser start receiving the file but it's stops and the status change to 500.

I used the directive "EnableSendfile Off" and it not worked.

Thank you
Comment 3 Michel Pereira 2011-10-26 14:22:53 UTC
Created attachment 27852 [details]
GDB output 2

A new GDB output with "EnableSendfile off".
Comment 4 Michel Pereira 2011-11-03 21:06:30 UTC
Hi.

I'm using Debian squeeze and got the same problem using Slackware 13.37.

Here is the options that I use to compile from source:

./configure --enable-rewrite --enable-so --enable-maintainer-mode


Thank you
Comment 5 William A. Rowe Jr. 2018-11-07 21:09:28 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.